security:
    firewalls:
        dashboard:
            pattern: ^/admin
            anonymous: ~
            provider: user
            form_login:
                default_target_path: admin_accommodation_list
                login_path: admin_login
                check_path: admin_login_check
            logout:
                path: admin_logout
                target: admin_login
            remember_me:
                secret: '%kernel.secret%'
                lifetime: 31536000 # 365 days in seconds
                always_remember_me: true
        dev:
            pattern: ^/(_(profiler|wdt)|css|images|js)/
            security: false
    access_control:
        - { path: ^/admin/login, roles: IS_AUTHENTICATED_ANONYMOUSLY }
        - { path: ^/admin/*, roles: ROLE_ADMIN }
    providers:
        user:
            entity:
                class: App\Entity\User
                property: email
    encoders:
        App\Entity\User: { algorithm: sha512, iterations: 10 }
